
%define		module	irclib

Summary:	A set of Python modules for IRC support
Summary(pl.UTF-8):	Zestaw modułów Pythona do obsługi IRC-a
Name:		python-%{module}
Version:	0.4.5
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	141b7cd26723b337ef277ff5eb56bb5e
Patch0:		%{name}-CR.patch
URL:		http://python-irclib.sourceforge.net/
BuildRequires:	python >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
Obsoletes:	%{module}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is intended to encapsulate the IRC protocol at a quite
low level. It provides an event-driven IRC client framework. It has a
fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%description -l pl.UTF-8
Ta biblioteka ma za zadanie obudowywać protokół IRC na dosyć niskim
poziomie. Dostarcza szkielet klienta IRC sterowany zdarzeniami. Ma
w miarę gruntowną obsługę dla podstaw protokołu IRC i połączeń CTCP i
DCC.

%prep
%setup -q
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README irccat irccat2 servermap testbot.py dccsend dccreceive
%{py_sitescriptdir}/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-irclib.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 173a769
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6bda592
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 69ccc51
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b518e4
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a29caf
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0824d1b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cebc8c
- converted to UTF-8

* Thu Jun 09 2005 saq <saq@pld-linux.org> c3db38f
- up to 0.4.5

* Thu Jun 09 2005 saq <saq@pld-linux.org> 0735e9c
- drop a misplaced \x0c

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 87eea34
- mass commit: remove obsolete BR: rpm-pythonprov

* Mon Feb 28 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 7be7045
- proper license

* Mon Feb 28 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 61ede4a
- updated to 0.4.4

* Mon Feb 07 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 9b753a6
- updated to 0.4.3

* Tue Dec 28 2004 saq <saq@pld-linux.org> 1de38a2
- release 1 for rebuild with python 2.4

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 9843fa6
- spaces->tabs
- formatting

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 2b3d495
- updated to 0.4.2

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> d4642c8
- removed %%include /usr/lib/rpm/macros.python

* Sun Feb 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 24c355c
- pl

* Sat Feb 07 2004 areq <areq@pld-linux.org> 1338fc5
- init PLD spec

